#language: ru

@init

Функционал: 002. Init. Создание организации, склада, подразделения

Сценарий: 002.1. Init. Создание валюты и удаление старых данных

	Дано Я подключаюсь под "Ведение организаций"
	Дано я удаляю объекты "Справочники.Подразделения" без контроля ссылок
	Дано я удаляю объекты "Справочники.к2ФизическиеЛица" без контроля ссылок
	Дано я удаляю объекты "Справочники.Склады" без контроля ссылок
	Дано я удаляю объекты "Справочники.Организации" без контроля ссылок
	И Я создаю валюту RUB

Сценарий: 002.2. Init. Создание подразделения

	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Подразделения'
	Тогда я жду открытия окна 'Подразделения' в течение 20 секунд
	* Создание группы подразделений
		И я нажимаю на кнопку "Создать группу"
		Тогда открылось окно 'Подразделения (создание группы)'
		И в поле 'Наименование' я ввожу текст 'Подразделения формирования документов'
		И я нажимаю на кнопку 'Записать и закрыть'
		Тогда открылось окно 'Подразделения'
	И Я создаю подразделение "Подразделение приемки заказов" с родителем "Подразделения формирования документов"
	* Копирование подразделения
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                  |
			| 'Подразделение приемки заказов' |
		И я нажимаю на кнопку с именем 'ФормаСкопировать'
		Тогда открылось окно 'Подразделение (создание)'
		И в поле 'Наименование' я ввожу текст 'Подразделение приемки заказов 2'
		И я нажимаю на кнопку 'Записать'
		Тогда открылось окно 'Подразделение приемки заказов 2 (Подразделение)'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Подразделение приемки заказов 2 (Подразделение)' в течение 20 секунд
		Тогда открылось окно 'Подразделения'
	* Пометка на удаление подразделения
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                    |
			| 'Подразделение приемки заказов 2' |
		И я выбираю пункт контекстного меню с именем 'СписокКонтекстноеМенюУстановитьПометкуУдаления' на элементе формы с именем "Список"
		Тогда открылось окно '1С:Предприятие'
		И я нажимаю на кнопку 'Да'
		Тогда открылось окно 'Подразделения'
	И Я закрываю окно 'Подразделения'

Сценарий: 002.3. Init. Создание физического лица

	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Физические лица'
	Тогда я жду открытия окна 'Физические лица' в течение 20 секунд
	* Создание группы физических лиц
		И я нажимаю на кнопку с именем 'ФормаСоздатьГруппу'
		Тогда открылось окно 'Физические лица (создание группы)'
		И в поле 'Наименование' я ввожу текст 'Группа физических лиц'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Физические лица (создание группы) *' в течение 20 секунд
		Тогда открылось окно 'Физические лица'
	* Создание физического лица
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Физическое лицо (создание)'
		И я нажимаю кнопку выбора у поля "Группа физ. лиц"
		Тогда открылось окно 'Физические лица'
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'          |
			| 'Группа физических лиц' |
		И в таблице "Список" я разворачиваю текущую строку
		И я нажимаю на кнопку с именем 'ФормаВыбрать'
		Тогда открылось окно 'Физическое лицо (создание) *'
		И в поле 'Наименование' я ввожу текст 'Ответственный за склад Петров Петр'
		И в поле 'ФИО' я ввожу текст 'Петров Петр Петрович'
		И из выпадающего списка "Фамилия и инициалы" я выбираю точное значение 'Петров П. П.'
		И я разворачиваю группу "Контактная информация"
		И в поле 'Email' я ввожу текст 'Ppp@gmail.com'
		И в поле 'Фактический адрес физического лица' я ввожу текст 'Нижний Новгород, ул. Верхнепечерская, 28'
		И я нажимаю на кнопку '+телефон, адрес'
		И в меню формы я выбираю 'Телефон'
		И в поле 'Телефон' я ввожу текст '+79083457689'
		И я нажимаю на кнопку 'Записать'
		Тогда открылось окно 'Ответственный за склад Петров Петр (Физическое лицо)'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Ответственный за склад Петров Петр (Физическое лицо)' в течение 20 секунд
		Тогда открылось окно 'Физические лица'
	* Копирование физического лица
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                       |
			| 'Ответственный за склад Петров Петр' |
		И я нажимаю на кнопку с именем 'ФормаСкопировать'
		Тогда открылось окно 'Физическое лицо (создание)'
		И в поле 'Наименование' я ввожу текст 'Ответственный за склад Иванов Иван'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Физическое лицо (создание) *' в течение 20 секунд
		Тогда открылось окно 'Физические лица'
	* Пометка на удаление физического лица
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                       |
			| 'Ответственный за склад Иванов Иван' |
		И я выбираю пункт контекстного меню с именем 'СписокКонтекстноеМенюУстановитьПометкуУдаления' на элементе формы с именем "Список"
		Тогда открылось окно '1С:Предприятие'
		И я нажимаю на кнопку 'Да'
		Тогда открылось окно 'Физические лица'
	И Я закрываю окно 'Физические лица'

Сценарий: 002.4. Init. Создание склада

	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Склады'
	Тогда я жду открытия окна 'Склады' в течение 20 секунд
	* Создание группы складов
		И я нажимаю на кнопку с именем 'ФормаСоздатьГруппу'
		Тогда открылось окно 'Склады (создание группы)'
		И в поле 'Наименование' я ввожу текст 'Группа складов для отгрузки'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Склады (создание группы) *' в течение 20 секунд
		Тогда открылось окно 'Склады'
	* Создание склада
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Склад (создание)'
		И я нажимаю кнопку выбора у поля "Группа складов"
		Тогда открылось окно 'Склады'
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                |
			| 'Группа складов для отгрузки' |
		И я нажимаю на кнопку с именем 'ФормаВыбрать'
		Тогда открылось окно 'Склад (создание) *'
		И в поле 'Наименование' я ввожу текст 'Сырная ГП'
		И из выпадающего списка "Контроль остатков" я выбираю точное значение 'Не контролировать'
		И в поле 'Вместимость в местах' я ввожу текст '1 000'
		И из выпадающего списка "Ответственный" я выбираю по строке 'Ответственный за склад Петров Петр'
		И в поле 'Должность' я ввожу текст 'Кладовщик'
		И я перехожу к закладке "Контактная информация"
		И в поле 'Адрес' я ввожу текст 'г. Москва, ул. Выборгская, д. 22'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Склад (создание) *' в течение 20 секунд
		Тогда открылось окно 'Склады'
	* Копирование склада
		И в таблице "Список" я перехожу к строке:
			| 'Наименование' |
			| 'Сырная ГП'    |
		И я нажимаю на кнопку с именем 'ФормаСкопировать'
		Тогда открылось окно 'Склад (создание)'
		И в поле 'Наименование' я ввожу текст 'Куриная ГП'
		И я нажимаю на кнопку 'Записать'
		Тогда открылось окно 'Куриная ГП (Склад)'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Куриная ГП (Склад)' в течение 20 секунд
		Тогда открылось окно 'Склады'
	* Пометка на удаление склада
		И в таблице "Список" я перехожу к строке:
			| 'Наименование' |
			| 'Куриная ГП'   |
		И я выбираю пункт контекстного меню с именем 'СписокКонтекстноеМенюУстановитьПометкуУдаления' на элементе формы с именем "Список"
		Тогда открылось окно '1С:Предприятие'
		И я нажимаю на кнопку 'Да'
		Тогда открылось окно 'Склады'
	И Я закрываю окно 'Склады'

Сценарий: 002.5. Init. Заполнение организации
	
	И Я создаю организацию
	* Копирование организации
		Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Организации'
		Тогда я жду открытия окна 'Организации' в течение 20 секунд
		И в таблице "Список" я перехожу к строке:
			| 'Наименование' |
			| 'Организация'  |
		И я нажимаю на кнопку с именем 'ФормаСкопировать'
		Тогда открылось окно 'Организация (создание)'
		И в поле 'Наименование' я ввожу текст 'Организация2'
		И я нажимаю на кнопку 'Записать'
		Тогда открылось окно 'Организация2 (Организация)'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Организация2 (Организация)' в течение 20 секунд
		Тогда открылось окно 'Организации'
	* Пометка на удаление организации
		И в таблице "Список" я перехожу к строке:
			| 'Наименование' |
			| 'Организация2' |
		И я выбираю пункт контекстного меню с именем 'СписокКонтекстноеМенюУстановитьПометкуУдаления' на элементе формы с именем "Список"
		Тогда открылось окно '1С:Предприятие'
		И я нажимаю на кнопку 'Да'
		Тогда открылось окно 'Организации'
	И Я закрываю окно 'Организации'

Сценарий: 002.6. Init. Завершение

	И я закрываю сеанс TESTCLIENT